/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.longFormat;

import org.activityinfo.model.analysis.pivot.DimensionMapping;

public class LongFormatColumn {
    private String label;
    private DimensionMapping mapping;

    public LongFormatColumn(String label, DimensionMapping mapping) {
        this.label = label;
        this.mapping = mapping;
    }

    public String getLabel() {
        return label;
    }

    public DimensionMapping getMapping() {
        return mapping;
    }
}
