/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.resolved.ResolvedNode;

/**
 * Simple column format for boolean field.
 */
public class BooleanFormat extends SimpleColumnFormat<Boolean> {

    public BooleanFormat(String id, ResolvedNode formula) {
        super(id, formula);
    }

    @Override
    public <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor) {
        return visitor.visitBooleanColumn(columnModel, this);
    }
}
