/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.query.ColumnView;

class BooleanRenderer extends AbstractRenderer<Boolean> {


    protected BooleanRenderer(String columnId) {
        super(columnId);
    }

    @Override
    protected Boolean renderRow(ColumnView view, int rowIndex) {
        if(view.isBlank(rowIndex)) {
            return null;
        } else {
            return view.isTrue(rowIndex);
        }
    }
}
