/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.query.ColumnModel;

import java.util.List;

public interface ColumnFormat {
    int DEFAULT_WIDTH = 150;

    List<ColumnModel> getColumnModels();

    <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor);

    int getExportedColumnCount();

    default int getColumnWidth(){
        return DEFAULT_WIDTH;
    }
}
