/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.json.impl;

import org.activityinfo.json.JsonValue;

/**
 * A {@link JsonContext} with integer based location context.
 */
class JsonArrayContext extends JsonContext {

    int currentIndex = 0;

    public JsonArrayContext(JsonValue array) {
        super(array);
    }

    public JsonValue array() {
        return (JsonValue) getValue();
    }

    public int getCurrentIndex() {
        return currentIndex;
    }

    public void setCurrentIndex(int currentIndex) {
        this.currentIndex = currentIndex;
    }
}
