/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

public enum Action {

    INVITE_CONFIRM_START,
    INVITE_CONFIRM_FINISH,

    SIGNUP_CONFIRM_START,
    SIGNUP_CONFIRM_FINISH,
    SIGNUP_SSO,

    LOGIN,
    LOGIN_SSO,
    RESET_PASSWORD,

    CONNECT_SSO,

    UPDATE_PROFILE,

    SYNC,
    SEARCH,

    // Database setup actions

    ADD_DATABASE,
    DUPLICATE_DATABASE,
    UPDATE_DATABASE,
    DELETE_DATABASE,
    ADD_FORM,
    UPDATE_FORM,
    INVITE_USER,
    UPDATE_PERMISSIONS,

    // Data entry
    UPDATE_RECORD,
    DELETE_RECORD,
    ADD_RECORD,


    POSTMARK_BOUNCE,
    POSTMARK_OPEN,
    POSTMARK_DELIVERY,
    POSTMARK_SPAM,
    POSTMARK_LINK_CLICK,
    POSTMARK_REACTIVATED,

    USE_API_PASSWORD,
    USE_API_TOKEN,
    ADD_API_TOKEN,
    DELETE_API_TOKEN,

    TRIAL_START,
    CONVERT_TRIAL_START,

    COLLECTION_LINK_OPEN,
    PUBLISH_REPORT,
    UPDATE_REPORT;
}
