/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.Builder;

@AutoJson
public class AddBillingAccountUserRequest {
    private String email;
    private String name;
    private String locale;

    @Builder
    public AddBillingAccountUserRequest(String email, String name, String locale) {
        this.email = email;
        this.name = name;
        this.locale = locale;
    }

    public String getEmail() {
        return email;
    }

    public String getName() {
        return name;
    }

    public String getLocale() {
        return locale;
    }
}
