/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;

@AutoJson
public class AuthenticateTokenRequest {
    private final String email;
    private final String password;
    private final String applicationKey;
    private final String label;

    public AuthenticateTokenRequest(String email, String password, String applicationKey, String label) {
        this.email = email;
        this.password = password;
        this.applicationKey = applicationKey;
        this.label = label;
    }

    public String getEmail() {
        return email;
    }

    public String getPassword() {
        return password;
    }

    public String getLabel() {
        return label;
    }

    public String getApplicationKey() {
        return applicationKey;
    }
}
