package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class AuthenticateTokenRequestJson {
  public static JsonValue toJson(AuthenticateTokenRequest model) {
    JsonValue object = Json.createObject();
    object.put("email", model.getEmail());
    object.put("password", model.getPassword());
    object.put("applicationKey", model.getApplicationKey());
    object.put("label", model.getLabel());
    return object;
  }

  public static AuthenticateTokenRequest fromJson(JsonValue object) {
    return new AuthenticateTokenRequest(object.getString("email"),
        object.getString("password"),
        object.getString("applicationKey"),
        object.getString("label"));
  }
}
