/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

public enum AuthenticationScope {
    /**
     * Authenticated via browser-based login
     */
    LOGIN,

    /**
     * Authenticated via API token with read-only scope
     */
    READ_ONLY,

    /**
     * Authenticated via API token with read and write scope
     */
    READ_WRITE
}
