package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class AuthoritativeIdpResponseJson {
  public static JsonValue toJson(AuthoritativeIdpResponse model) {
    JsonValue object = Json.createObject();
    object.put("idp", JsonArrays.optionalToJson(model.getIdp(), Json::create));
    return object;
  }

  public static AuthoritativeIdpResponse fromJson(JsonValue object) {
    return new AuthoritativeIdpResponse(JsonArrays.optionalFromJson(object.get("idp"), JsonValue::asString));
  }
}
