/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

public class ConfirmTrialRequest {

    private String name;
    private String email;
    private String confirmationKey;
    private String password;
    private boolean newsletter;

    public ConfirmTrialRequest(String name, String email, String confirmationKey, String password, boolean newsletter) {
        this.name = name;
        this.email = email;
        this.confirmationKey = confirmationKey;
        this.password = password;
        this.newsletter = newsletter;
    }

    public String getName() {
        return name;
    }

    public String getEmail() {
        return email;
    }

    public String getConfirmationKey() {
        return confirmationKey;
    }

    public String getPassword() {
        return password;
    }

    public boolean isNewsletter() {
        return newsletter;
    }
}
