package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class DeviceProfileJson {
  public static JsonValue toJson(DeviceProfile model) {
    JsonValue object = Json.createObject();
    object.put("mobile", model.isMobile());
    object.put("deviceName", model.getDeviceName());
    object.put("browserSoftware", model.getBrowserSoftware());
    return object;
  }

  public static DeviceProfile fromJson(JsonValue object) {
    return new DeviceProfile(object.getBoolean("mobile"),
        object.getString("deviceName"),
        object.getString("browserSoftware"));
  }
}
