/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

public enum DomainDeliveryStatus {

    /**
     * We have successfully sent email to this domain in the past.
     */
    OK,

    /**
     * We have never tried to send email to this domain or have no record
     * of past attempts.
     */
    UNKNOWN
}
