package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class GenerateApiTokenRequestJson {
  public static JsonValue toJson(GenerateApiTokenRequest model) {
    JsonValue object = Json.createObject();
    object.put("label", model.getLabel());
    object.put("scope", model.getScope().name());
    return object;
  }

  public static GenerateApiTokenRequest fromJson(JsonValue object) {
    return new GenerateApiTokenRequest(object.getString("label"),
        JsonArrays.enumFromJson(object.get("scope"), AuthenticationScope::valueOf, AuthenticationScope.LOGIN));
  }
}
