/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

public final class SessionCookies {


    public static final String PRODUCTION_DOMAIN = "activityinfo.org";

    private SessionCookies() {
    }

    public static final String AUTH_TOKEN_COOKIE = "authToken";

    public static final String EMAIL_COOKIE = "email";

    public static final String USER_ID_COOKIE = "userId";

    public static final String USER_LOCALE_COOKIE = "locale";

    public static final String SURVEY_INVITATION_COOKIE = "sic";

    /**
     * The number of days to retain the locale cookie.
     */
    public static final int LOCALE_COOKIE_DAYS = 60;

}
