package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class TransferBillingAccountRoleRequestJson {
  public static JsonValue toJson(TransferBillingAccountRoleRequest model) {
    JsonValue object = Json.createObject();
    object.put("newUserEmail", model.getNewUserEmail());
    return object;
  }

  public static TransferBillingAccountRoleRequest fromJson(JsonValue object) {
    return new TransferBillingAccountRoleRequest(object.getString("newUserEmail"));
  }
}
