/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;

@AutoJson
public class TransitionBillingAccountRequest {
    private long billingAccountId;
    private BillingAccountStatus status;
    private boolean notify;

    public TransitionBillingAccountRequest(long billingAccountId, BillingAccountStatus status, boolean notify) {
        this.billingAccountId = billingAccountId;
        this.status = status;
        this.notify = notify;
    }

    public long getBillingAccountId() {
        return billingAccountId;
    }

    public BillingAccountStatus getStatus() {
        return status;
    }

    public boolean isNotify() {
        return notify;
    }
}
