/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.i18n.shared.ApplicationLocale;
import org.activityinfo.json.AutoJson;

import java.util.Optional;

@AutoJson
public class UpdateProfileRequest {
    private Optional<String> name;
    private Optional<ApplicationLocale> locale;

    public UpdateProfileRequest(Optional<String> name, Optional<ApplicationLocale> locale) {
        this.name = name;
        this.locale = locale;
    }

    public Optional<String> getName() {
        return name;
    }

    public Optional<ApplicationLocale> getLocale() {
        return locale;
    }
}
