/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis;

import org.activityinfo.json.JsonValue;

public interface AnalysisModel {

    public static final String NOTEBOOK_ICON_NAME = "notebook";

    String getTypeId();

    JsonValue toJson();

    boolean isEmpty();

    <T> T accept(AnalysisModelVisitor<T> visitor);

}
