/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis;

import org.activityinfo.model.analysis.map.MapModel;
import org.activityinfo.model.analysis.pivot.PivotModel;

public interface AnalysisModelVisitor<T> {

    T visitPivotModel(PivotModel pivotModel);

    T visitTable(TableAnalysisModel tableModel);

    T visitMap(MapModel mapModel);

}
