/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis;

import org.activityinfo.promise.HttpError;

public enum DeleteReportError implements HttpError {

    DELETED(200),

    REPORT_NOT_FOUND(NOT_FOUND_404),

    PERMISSION_DENIED(FORBIDDEN_403);

    private final int httpStatus;

    DeleteReportError(int httpStatus) {
        this.httpStatus = httpStatus;
    }

    @Override
    public int getHttpStatusCode() {
        return httpStatus;
    }
}
