/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis;

import org.activityinfo.promise.HttpError;

public enum ReportError implements HttpError {
    NOT_PUBLISHED(FORBIDDEN_403),

    NOT_FOUND(NOT_FOUND_404);

    ReportError(int httpStatusCode) {
        this.httpStatusCode = httpStatusCode;
    }

    private int httpStatusCode;

    @Override
    public int getHttpStatusCode() {
        return httpStatusCode;
    }
}
