/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis.map;

import org.activityinfo.json.AutoJson;

import java.util.List;

@AutoJson
public class IconModel {
    private String id;
    private String label;
    private List<String> keywords;
    private String path;

    public IconModel(String id, String label, List<String> keywords, String path) {
        this.id = id;
        this.label = label;
        this.keywords = keywords;
        this.path = path;
    }

    public String getId() {
        return id;
    }

    public String getLabel() {
        return label;
    }

    public List<String> getKeywords() {
        return keywords;
    }

    public String getPath() {
        return path;
    }
}
