/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.analysis.table;

import javax.annotation.Nullable;

public enum ExportFormat {

    CSV(null),
    XLS(256);

    private Integer columnLimit;

    ExportFormat(@Nullable Integer columnLimit) {
        this.columnLimit = columnLimit;
    }

    public boolean hasColumnLimit() {
        return columnLimit != null;
    }

    public @Nullable Integer getColumnLimit() {
        return columnLimit;
    }

}
