/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.collectionLink;

import org.activityinfo.promise.HttpError;

public enum UpdateCollectionLinkError implements HttpError {

    INVALID_UPDATE(BAD_REQUEST_400),

    INVALID_LOCALE(BAD_REQUEST_400),

    INVALID_LABEL(BAD_REQUEST_400),

    PERMISSION_DENIED(FORBIDDEN_403);

    private int statusCode;

    UpdateCollectionLinkError(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
