package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.form.FormClass;

public final class AddFormRequestJson {
  public static JsonValue toJson(AddFormRequest model) {
    JsonValue object = Json.createObject();
    object.put("formResource", model.getFormResource().toJson());
    object.put("formClass", model.getFormClass().toJson());
    return object;
  }

  public static AddFormRequest fromJson(JsonValue object) {
    return new AddFormRequest(Resource.fromJson(object.get("formResource")),
        FormClass.fromJson(object.get("formClass")));
  }
}
