/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import java.util.Arrays;

public enum AuditResourceType {
    RECORD,
    FORM,
    FOLDER,
    DATABASE,
    LOCK,
    USER_PERMISSION,
    ROLE;

    public static final Iterable<AuditResourceType> RESOURCE_TYPES = Arrays.asList(
        DATABASE,
        FOLDER,
        LOCK,
        FORM,
        ROLE);
}
