/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import com.google.gwt.core.shared.GwtIncompatible;

import java.time.Instant;

@GwtIncompatible
public interface DatabaseTreeUpdate {

    long getUserId();

    Instant getTime();

    UpdateDatabaseRequest getRequest();

    UpdateDatabaseRequest getInverseRequest();
}
