/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.annotation.Builder;

@AutoJson
public class PreflightUserRequest {
    private final String email;

    @Builder
    public PreflightUserRequest(String email) {
        this.email = email;
    }

    public String getEmail() {
        return email;
    }

}
