package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class RestoreDatabaseUserResultJson {
  public static JsonValue toJson(RestoreDatabaseUserResult model) {
    JsonValue object = Json.createObject();
    object.put("revertedAuditLogEventId", model.getRevertedAuditLogEventId());
    object.put("restoredUser", DatabaseUserGrantSetJson.toJson(model.getRestoredUser()));
    return object;
  }

  public static RestoreDatabaseUserResult fromJson(JsonValue object) {
    return new RestoreDatabaseUserResult(object.getString("revertedAuditLogEventId"),
        DatabaseUserGrantSetJson.fromJson(object.get("restoredUser")));
  }
}
