package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class RoleFilterJson {
  public static JsonValue toJson(RoleFilter model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId().asString());
    object.put("label", model.getLabel());
    object.put("filter", model.getFilter());
    return object;
  }

  public static RoleFilter fromJson(JsonValue object) {
    return new RoleFilter(ResourceId.valueOf(object.getString("id")),
        object.getString("label"),
        object.getString("filter"));
  }
}
