/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;

@AutoJson
public class TransferDatabaseRequest {
    private final String newOwnerEmail;

    public TransferDatabaseRequest(String newOwnerEmail) {
        this.newOwnerEmail = newOwnerEmail;
    }

    public String getNewOwnerEmail() {
        return newOwnerEmail;
    }
}
