package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class TransferDatabaseRequestJson {
  public static JsonValue toJson(TransferDatabaseRequest model) {
    JsonValue object = Json.createObject();
    object.put("newOwnerEmail", model.getNewOwnerEmail());
    return object;
  }

  public static TransferDatabaseRequest fromJson(JsonValue object) {
    return new TransferDatabaseRequest(object.getString("newOwnerEmail"));
  }
}
