/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.promise.HttpError;

public enum TransferDatabaseResult implements HttpError {
    OK(200),
    USER_NOT_FOUND(BAD_REQUEST_400),
    DATABASE_NOT_FOUND(BAD_REQUEST_400),
    USER_HAS_NO_BILLING_ACCOUNT(BAD_REQUEST_400);


    TransferDatabaseResult(int statusCode) {
        this.statusCode = statusCode;
    }

    private int statusCode;

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
