package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class UpdateRoleAssignmentRequestJson {
  public static JsonValue toJson(UpdateRoleAssignmentRequest model) {
    JsonValue object = Json.createObject();
    object.put("assignments", JsonArrays.toJsonArray(model.getAssignments(), RoleAssignment::toJson));
    return object;
  }

  public static UpdateRoleAssignmentRequest fromJson(JsonValue object) {
    return new UpdateRoleAssignmentRequest(JsonArrays.listFromJson(object.get("assignments"), RoleAssignment::fromJson));
  }
}
