/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;
import org.activityinfo.model.resource.ResourceId;

@AutoJson
public class UserRef {
    private ResourceId id;
    private String name;
    private String email;

    public UserRef(ResourceId id, String name, String email) {
        this.id = id;
        this.name = name;
        this.email = email;
    }

    public ResourceId getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getEmail() {
        return email;
    }
}
