package org.activityinfo.model.form;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class RecordHistoryJson {
  public static JsonValue toJson(RecordHistory model) {
    JsonValue object = Json.createObject();
    object.put("entries", JsonArrays.toJsonArray(model.getEntries(), RecordHistoryEntryJson::toJson));
    return object;
  }

  public static RecordHistory fromJson(JsonValue object) {
    return new RecordHistory(JsonArrays.listFromJson(object.get("entries"), RecordHistoryEntryJson::fromJson));
  }
}
