/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.form;

import org.activityinfo.json.AutoJson;

@AutoJson
public class StageImportResponse {
    private final String uploadUrl;
    private final String importId;

    public StageImportResponse(String uploadUrl, String importId) {
        this.uploadUrl = uploadUrl;
        this.importId = importId;
    }

    public String getUploadUrl() {
        return uploadUrl;
    }

    public String getImportId() {
        return importId;
    }
}
