/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class FloorFunction extends RoundingOperator {

    public static final FloorFunction INSTANCE = new FloorFunction();

    public FloorFunction() {
        super("FLOOR");
    }

    @Override
    public double apply(double argument) {
        return Math.floor(argument);
    }

    @Override
    public int getReferenceTopicId() {
        return 880424;
    }
}
