/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

/**
 * The type of join made
 */
public enum JoinType {

    /**
     * Join based on a reference field (on the left) containing the ids of form submissions (on the right)
     */
    REFERENCE,

    /**
     * Join based on a master form submission ids (on the left) and the parent ids of submissions (on the right)
     */
    SUBFORM
    
}
