package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class ExportUsersJobJson {
  public static JsonValue toJson(ExportUsersJob model) {
    JsonValue object = Json.createObject();
    object.put("databaseId", model.getDatabaseId().asString());
    object.put("utcOffset", model.getUtcOffset());
    return object;
  }

  public static ExportUsersJob fromJson(JsonValue object) {
    return new ExportUsersJob(ResourceId.valueOf(object.getString("databaseId")),
        (int)object.getNumber("utcOffset"));
  }
}
