package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class JobErrorJson {
  public static JsonValue toJson(JobError model) {
    JsonValue object = Json.createObject();
    object.put("code", model.getCode());
    object.put("message", model.getMessage());
    object.put("localizedMessage", model.getLocalizedMessage());
    return object;
  }

  public static JobError fromJson(JsonValue object) {
    return new JobError(object.getString("code"),
        object.getString("message"),
        object.getString("localizedMessage"));
  }
}
