/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

public interface JobVisitor<R> {

    R visit(ExportDatabaseFormsJob job);

    R visit(ExportUsersJob job);

    R visit(ExportFormJob job);

    R visit(DuplicateDatabaseJob duplicateDatabaseJob);

    R visit(ExportBillingAccountStatsJob job);

    R visit(ImportRecordsJob job);

    R visit(ExportAttachmentsJob job);
}
