package org.activityinfo.model.search;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class SearchResultJson {
  public static JsonValue toJson(SearchResult model) {
    JsonValue object = Json.createObject();
    object.put("surtitleHtml", model.getSurtitleHtml());
    object.put("uri", model.getUri());
    object.put("label", model.getLabel());
    object.put("type", model.getType());
    return object;
  }

  public static SearchResult fromJson(JsonValue object) {
    return new SearchResult(object.getString("surtitleHtml"),
        object.getString("uri"),
        object.getString("label"),
        object.getString("type"));
  }
}
