package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class CertificateStatusJson {
  public static JsonValue toJson(CertificateStatus model) {
    JsonValue object = Json.createObject();
    object.put("issuer", model.getIssuer());
    object.put("expirationTime", model.getExpirationTime());
    return object;
  }

  public static CertificateStatus fromJson(JsonValue object) {
    return new CertificateStatus(object.getString("issuer"),
        (double)object.getNumber("expirationTime"));
  }
}
