package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class PendingCertificateOrderJson {
  public static JsonValue toJson(PendingCertificateOrder model) {
    JsonValue object = Json.createObject();
    object.put("domain", model.getDomain());
    object.put("status", model.getStatus());
    object.put("errorMessage", model.getErrorMessage());
    return object;
  }

  public static PendingCertificateOrder fromJson(JsonValue object) {
    return new PendingCertificateOrder(object.getString("domain"),
        object.getString("status"),
        object.getString("errorMessage"));
  }
}
