package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class StartCertificateOrderJson {
  public static JsonValue toJson(StartCertificateOrder model) {
    JsonValue object = Json.createObject();
    object.put("domain", JsonArrays.optionalToJson(model.getDomain(), Json::create));
    return object;
  }

  public static StartCertificateOrder fromJson(JsonValue object) {
    return new StartCertificateOrder(JsonArrays.optionalFromJson(object.get("domain"), JsonValue::asString));
  }
}
