package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class TestSmtpConfigurationResultJson {
  public static JsonValue toJson(TestSmtpConfigurationResult model) {
    JsonValue object = Json.createObject();
    object.put("succeeded", model.isSucceeded());
    object.put("errorMessage", model.getErrorMessage());
    return object;
  }

  public static TestSmtpConfigurationResult fromJson(JsonValue object) {
    return new TestSmtpConfigurationResult(object.getBoolean("succeeded"),
        object.getString("errorMessage"));
  }
}
