package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class UpdateLicenseRequestJson {
  public static JsonValue toJson(UpdateLicenseRequest model) {
    JsonValue object = Json.createObject();
    object.put("licenseText", model.getLicenseText());
    return object;
  }

  public static UpdateLicenseRequest fromJson(JsonValue object) {
    return new UpdateLicenseRequest(object.getString("licenseText"));
  }
}
