/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type.time;

import org.activityinfo.model.type.FieldValue;

public interface PeriodValue extends FieldValue {

    LocalDateInterval asInterval();

    /**
     * @return the period of the same class that preceded this period.
     */
    PeriodValue previous();


    /**
     *
     * @return the period of the same class that follows this period.
     */
    PeriodValue next();

}
