/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.promise;

public interface HttpError {

    static final int BAD_REQUEST_400 = 400;
    static final int UNAUTHORIZED_401 = 401;
    static final int BILLING_402 = 402;
    static final int FORBIDDEN_403 = 403;
    static final int NOT_FOUND_404 = 404;


    int getHttpStatusCode();

    String name();
}
