<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Email.ftl">
<@container>

    <@p>${greeting}</@p>
    <br>
    <@p>${message}</@p>

    <#if deletedDatabases?has_content>
    <br>
    <@p>${i18n.databasesDeletedComplete}</@p>
    <ul>
    <#list deletedDatabases as database>
        <li>${database.label?html}</li>
    </#list>
    </ul>
    </#if>

    <#if sharedDatabases?has_content>
    <@p>${i18n.databasesShared}</@p>
    <ul>
    <#list sharedDatabases as database>
        <li>${database.label?html}</li>
    </#list>
    </ul>
    </#if>

    <#if closing??>
        <br>
        <@p>${closing}</@p>
    </#if>
    <@signoff/>
</@container>
