<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Email.ftl">
<@container>

    <@table width="100%">
        <tr>
            <td width="50" align="${left}" class="avatar" style="vertical-align: top; padding-${right}: 12px;"><img src="${domain.rootUrl}/resources/databases/${databaseId}/avatar.png" role="presentation" alt="" width="50" height="50"></td>
            <td style="font-size:24px; font-family: ${fontFamily}; line-height: 30px; vertical-align: top; font-weight: bold; padding-top: 12px; padding-bottom: 24px">${header}</td>
        </tr>
    </@table>

    <@p>${greeting}</@p>

    <@p><@styleLinks style="color: ${black}; text-decoration: underline">${intro}</@styleLinks> <#if validity??><strong>${validity}</strong></#if></@p>

    <@cta url=url icon="bubble-user">${i18n.confirmInvitedAccount}</@cta>

    <@signoff/>
</@container>
