<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="robots" content="noindex">

    <title>ActivityInfo - Tableau WDC</title>

    <#include "AppStyle.ftl">
    <script type="application/javascript" src="https://connectors.tableau.com/libs/tableauwdc-2.3.latest.js"></script>
    <script type="application/javascript">
        (function () {

            var invokeGetSchema = function(callback) {
                if(window.connectorDelegate) {
                    window.connectorDelegate.getSchema(callback);
                } else {
                    setTimeout(function() { invokeGetSchema(callback); }, 500);
                }
            }

            var myConnector = tableau.makeConnector();
            myConnector.getSchema = function (callback) {
                invokeGetSchema(callback);
            };

            myConnector.getData = function (table, callback) {
                window.connectorDelegate.getData(table, callback);
            };

            tableau.registerConnector(myConnector);
        })();
    </script>
    <script type="application/javascript" src="/Tableau/Tableau.nocache.js"></script>
</head>
<body role="application" >
<div id="initial-loader">
    <div class="loader">
        <div class="loader__blob"></div>
        <div class="loader__blob"></div>
        <div class="loader__blob"></div>
    </div>
</div>
<div id="load-failed-message">
    <div>
        <span>Please open this URL from within Tableau to connect ActivityInfo and Tableau.</span>
    </div>
</div>
<iframe src="javascript:''" id="__gwt_historyFrame" tabIndex='-1' style="position:absolute;width:0;height:0;border:0"></iframe>
</body>
</html>