/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.join;

/**
 * Maps the Record's id to its row index in the ColumnSet
 */
public interface PrimaryKeyMap {

    int numRows();

    int getRowIndex(String recordId);

    boolean contains(String recordId);
}
