/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.plan;

import org.activityinfo.model.resource.ResourceId;

import java.util.Collections;
import java.util.List;

public class IdFetchOp extends ColumnPlanNode {

    private ResourceId formId;

    public IdFetchOp(ResourceId formId) {
        this.formId = formId;
    }

    @Override
    public String getDebugLabel() {
        return "fetch " + formId;
    }

    @Override
    public List<? extends PlanNode> getInputs() {
        return Collections.emptyList();
    }
}
