/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.model.resource.ResourceId;

public class FormNotFoundException extends RuntimeException {

    private String resourceId;

    public FormNotFoundException() {
    }

    public FormNotFoundException(ResourceId resourceId) {
        super("Could not find resource [" + resourceId + "]");
        this.resourceId = resourceId.asString();
    }

    public String getResourceId() {
        return resourceId;
    }
}
