/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

public class FormVersion {
    private final long version;
    private final long schemaVersion;

    public FormVersion(long version, long schemaVersion) {
        this.version = version;
        this.schemaVersion = schemaVersion;
    }

    public long getVersion() {
        return version;
    }

    public long getSchemaVersion() {
        return schemaVersion;
    }
}
