/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import java.time.Instant;
import java.util.Optional;

public interface PasswordLockout {

    int LOCKOUT_SECONDS = 2 * 60;

    int MAX_ATTEMPTS_THROTTLE = 10;

    void loginAttemptSuccessful(String email, ClientIpAddress userIpAddress);

    Optional<Instant> isLockedOut(String email, ClientIpAddress ipAddress);

    Optional<Instant> loginAttemptFailed(String email, ClientIpAddress ipAddress);
}
