/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.ui.vdom.shared.tree;

public class SvgPolygonBuilder {
    private final StringBuilder p = new StringBuilder();

    public SvgPolygonBuilder appendCoords(double x, double y) {
        p.append(coord(x));
        if(y >= 0) {
            p.append(',');
        }
        p.append(coord(y)).append(' ');
        return this;
    }

    private String coord(double coord) {
        return Double.toString(coord);
    }

    @Override
    public String toString() {
        return p.toString();
    }
}
