/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.filter;

public interface PredicateVisitor<T> {

    T visitComparison(ComparisonPredicate predicate);

    T visitMissing(BlankPredicate predicate);

    T visitIrregular(IrregularPredicate predicate);

    T visitContainsString(StringPredicate predicate);

    T visitRange(RangePredicate rangePredicate);

    T visitEnumSet(EnumSetPredicate enumSetPredicate);

    T visitEnum(EnumPredicate enumPredicate);
}
