/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.filter;

import org.activityinfo.model.formula.resolved.ResolvedNode;
import org.activityinfo.model.type.FieldValue;

import java.util.Optional;

public interface RegularPredicate extends FilterPredicate {

    String getFieldLabel();

    ResolvedNode getField();

    PredicateType getPredicateType();

    Optional<FieldValue> getArgument();

}
