/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.FormulaNode;

public class EffectiveSortOrder {
    private FormulaNode formula;
    private boolean ascending;

    public EffectiveSortOrder(FormulaNode formula, boolean ascending) {
        this.formula = formula;
        this.ascending = ascending;
    }

    public FormulaNode getFormula() {
        return formula;
    }

    public boolean isAscending() {
        return ascending;
    }
}
