/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.query.ColumnModel;

import java.util.Collections;
import java.util.List;

public class ErrorFormat implements ColumnFormat {


    @Override
    public List<ColumnModel> getColumnModels() {
        return Collections.emptyList();
    }

    @Override
    public <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor) {
        return visitor.visitErrorColumn(columnModel, this);
    }

    @Override
    public int getExportedColumnCount() {
        return 1;
    }
}
