/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

public enum ExportScope {
    /**
     * All columns or rows are exported, disregarding the user's current selection
     */
    ALL,

    /**
     * Only the columns or rows that the user has selected will be exported.
     */
    SELECTED
}
