/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.formula.resolved.ResolvedNode;


public class InstantFormat extends SimpleColumnFormat<Double> {

    protected InstantFormat(String id, ResolvedNode formula) {
        super(id, formula);
    }

    @Override
    public <T> T accept(EffectiveTableColumn columnModel, TableColumnVisitor<T> visitor) {
        return visitor.visitInstantColumn(columnModel, this);
    }

    @Override
    public int getColumnWidth() {
        return 170;
    }
}
