/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.analysis.table;

import org.activityinfo.model.query.ColumnView;

public class StringRenderer extends AbstractRenderer<String> {

    public StringRenderer(String columnId) {
        super(columnId);
    }

    @Override
    protected String renderRow(ColumnView view, int rowIndex) {
        return view.getString(rowIndex);
    }
}
