/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.i18n.shared;

import net.lightoze.gwt.i18n.client.LocaleFactory;

/**
 * Contains global instances of UiConstants and UiMessages
 */
public final class I18N {

    private I18N() {
    }

    public static final UiConstants CONSTANTS;
    public static final UiMessages MESSAGES;

    static {
        CONSTANTS = LocaleFactory.get(UiConstants.class);
        MESSAGES = LocaleFactory.get(UiMessages.class);
    }

    public static void initialize() {
    }
}
