/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */

package java.text;


import elemental2.core.JsString;
import jsinterop.base.Js;

public final class Normalizer {

    private Normalizer() {};

    public static enum Form {
        NFD,
        NFC,
        NFKD,
        NFKC
    }

    public static String normalize(CharSequence src, Form form) {
        JsString jsString = Js.uncheckedCast(src);
        return jsString.normalize(form.name());
    }
}
