/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.json;

/**
 * Thrown when a JSON value could not be matched to the expected type.
 */
public class JsonMappingException extends RuntimeException {


    public JsonMappingException() {
        super();
    }

    public JsonMappingException(String message) {
        super(message);
    }


    public JsonMappingException(String message, Throwable cause) {
        super(message, cause);
    }
}
