package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class AddBillingAccountUserRequestJson {
  public static JsonValue toJson(AddBillingAccountUserRequest model) {
    JsonValue object = Json.createObject();
    object.put("email", model.getEmail());
    object.put("name", model.getName());
    object.put("locale", model.getLocale());
    return object;
  }

  public static AddBillingAccountUserRequest fromJson(JsonValue object) {
    return new AddBillingAccountUserRequest(object.getString("email"),
        object.getString("name"),
        object.getString("locale"));
  }
}
