/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;

import java.util.Optional;

@AutoJson
public class AuthoritativeIdpResponse {

    private final Optional<String> idp;

    public AuthoritativeIdpResponse(Optional<String> idp) {
        this.idp = idp;
    }

    public Optional<String> getIdp() {
        return idp;
    }
}
