/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;


import org.activityinfo.json.AutoJson;

@AutoJson
public class TokenResult {

    private final String id;
    private final String token;

    public TokenResult(String id, String token) {
        this.id = id;
        this.token = token;
    }

    public String getToken() {
        return token;
    }

    public String getId() {
        return id;
    }
}
