package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class TokenResultJson {
  public static JsonValue toJson(TokenResult model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("token", model.getToken());
    return object;
  }

  public static TokenResult fromJson(JsonValue object) {
    return new TokenResult(object.getString("id"),
        object.getString("token"));
  }
}
