/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.promise.HttpError;

public enum TransitionBillingAccountError implements HttpError {
    ACCOUNT_NOT_FOUND(404),
    PERMISSION_DENIED(403),
    INVALID_STATUS(400);

    private final int statusCode;

    TransitionBillingAccountError(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public int getHttpStatusCode() {
        return statusCode;
    }
}
