package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class TrialProfileJson {
  public static JsonValue toJson(TrialProfile model) {
    JsonValue object = Json.createObject();
    object.put("lastLoginTime", model.getLastLoginTime());
    object.put("lastLoginLocation", model.getLastLoginLocation());
    object.put("email", model.getEmail());
    object.put("capsuleId", model.getCapsuleId());
    object.put("capsuleLastContact", model.getCapsuleLastContact());
    return object;
  }

  public static TrialProfile fromJson(JsonValue object) {
    return new TrialProfile((double)object.getNumber("lastLoginTime"),
        object.getString("lastLoginLocation"),
        object.getString("email"),
        (long)object.getNumber("capsuleId"),
        (double)object.getNumber("capsuleLastContact"));
  }
}
