/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.account;

import org.activityinfo.json.AutoJson;

@AutoJson
public class UserAction {
    private double time;
    private String action;
    private String database;
    private String billingAccount;

    public UserAction(double time, String action, String database, String billingAccount) {
        this.time = time;
        this.action = action;
        this.database = database;
        this.billingAccount = billingAccount;
    }

    public double getTime() {
        return time;
    }

    public String getAction() {
        return action;
    }

    public String getDatabase() {
        return database;
    }

    public String getBillingAccount() {
        return billingAccount;
    }
}
