package org.activityinfo.model.account;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class UserActionJson {
  public static JsonValue toJson(UserAction model) {
    JsonValue object = Json.createObject();
    object.put("time", model.getTime());
    object.put("action", model.getAction());
    object.put("database", model.getDatabase());
    object.put("billingAccount", model.getBillingAccount());
    return object;
  }

  public static UserAction fromJson(JsonValue object) {
    return new UserAction((double)object.getNumber("time"),
        object.getString("action"),
        object.getString("database"),
        object.getString("billingAccount"));
  }
}
