package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class ReportGrantSetJson {
  public static JsonValue toJson(ReportGrantSet model) {
    JsonValue object = Json.createObject();
    object.put("roles", JsonArrays.toJsonArray(model.getRoles(), ReportRoleGrantJson::toJson));
    return object;
  }

  public static ReportGrantSet fromJson(JsonValue object) {
    return new ReportGrantSet(JsonArrays.listFromJson(object.get("roles"), ReportRoleGrantJson::fromJson));
  }
}
