package org.activityinfo.model.analysis;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class SortOrderJson {
  public static JsonValue toJson(SortOrder model) {
    JsonValue object = Json.createObject();
    object.put("formula", model.getFormula());
    object.put("ascending", model.isAscending());
    return object;
  }

  public static SortOrder fromJson(JsonValue object) {
    return new SortOrder(object.getString("formula"),
        object.getBoolean("ascending"));
  }
}
