package org.activityinfo.model.analysis.map;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class IconSearchResultJson {
  public static JsonValue toJson(IconSearchResult model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId());
    object.put("label", model.getLabel());
    object.put("path", model.getPath());
    return object;
  }

  public static IconSearchResult fromJson(JsonValue object) {
    return new IconSearchResult(object.getString("id"),
        object.getString("label"),
        object.getString("path"));
  }
}
