package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class PreflightUserRequestJson {
  public static JsonValue toJson(PreflightUserRequest model) {
    JsonValue object = Json.createObject();
    object.put("email", model.getEmail());
    return object;
  }

  public static PreflightUserRequest fromJson(JsonValue object) {
    return new PreflightUserRequest(object.getString("email"));
  }
}
