/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

import org.activityinfo.json.AutoJson;

@AutoJson
public class RestoreDatabaseUserResult {
    private final String revertedAuditLogEventId;
    private final DatabaseUserGrantSet restoredUser;

    public RestoreDatabaseUserResult(String revertedAuditLogEventId, DatabaseUserGrantSet restoredUser) {
        this.revertedAuditLogEventId = revertedAuditLogEventId;
        this.restoredUser = restoredUser;
    }

    public String getRevertedAuditLogEventId() {
        return revertedAuditLogEventId;
    }

    public DatabaseUserGrantSet getRestoredUser() {
        return restoredUser;
    }
}
