package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class RoleParameterValueJson {
  public static JsonValue toJson(RoleParameterValue model) {
    JsonValue object = Json.createObject();
    object.put("parameterId", model.getParameterId().asString());
    object.put("value", model.getValue());
    return object;
  }

  public static RoleParameterValue fromJson(JsonValue object) {
    return new RoleParameterValue(ResourceId.valueOf(object.getString("parameterId")),
        object.get("value"));
  }
}
