/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.database;

/**
 * Column names used for CSV import/export
 */
public class SchemaCsv {


    public static final String MULTIPLE_SELECT = "Multiple Select";
    public static final String SINGLE_SELECT = "Single Select";
    public static final String DATABASE_ID = "DatabaseId";
    public static final String DATABASE_NAME_COLUMN = "DatabaseName";
    public static final String FORM_VERSION_COLUMN = "FormVersion";
    public static final String FORM_ID_COLUMN = "FormId";
    public static final String FORM_NAME_COLUMN = "FormName";
    public static final String SUB_FORM_COLUMN = "SubForm";
    public static final String SUB_FORM_TYPE_COLUMN = "SubFormType";
    public static final String FIELD_ID_COLUMN = "FieldId";
    public static final String FIELD_CODE_COLUMN = "FieldCode";
    public static final String FIELD_TYPE_COLUMN = "FieldType";
    public static final String FIELD_NAME_COLUMN = "FieldName";
    public static final String FIELD_DESCRIPTION = "FieldDescription";
    public static final String REQUIRED_COLUMN = "Required";
    public static final String UNITS_COLUMN = "Units";
    public static final String EXPRESSION = "Expression";
    public static final String REFERENCES = "References";
    public static final String CHOICE_ID = "Choice Id";
    public static final String CHOICE_LABEL = "Choice Label";
}
