package org.activityinfo.model.database;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class SecurityCategoryJson {
  public static JsonValue toJson(SecurityCategory model) {
    JsonValue object = Json.createObject();
    object.put("id", model.getId().asString());
    object.put("label", model.getLabel());
    return object;
  }

  public static SecurityCategory fromJson(JsonValue object) {
    return new SecurityCategory(ResourceId.valueOf(object.getString("id")),
        object.getString("label"));
  }
}
