package org.activityinfo.model.error;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class ApiErrorResponseJson {
  public static JsonValue toJson(ApiErrorResponse model) {
    JsonValue object = Json.createObject();
    object.put("code", model.getCode());
    object.put("message", model.getMessage());
    object.put("localizedMessage", model.getLocalizedMessage());
    return object;
  }

  public static ApiErrorResponse fromJson(JsonValue object) {
    return new ApiErrorResponse(object.getString("code"),
        object.getString("message"),
        object.getString("localizedMessage"));
  }
}
