package org.activityinfo.model.form;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class FieldValueChangeJson {
  public static JsonValue toJson(FieldValueChange model) {
    JsonValue object = Json.createObject();
    object.put("fieldId", model.getFieldId());
    object.put("fieldLabel", model.getFieldLabel());
    object.put("oldValueLabel", model.getOldValueLabel());
    object.put("newValueLabel", model.getNewValueLabel());
    return object;
  }

  public static FieldValueChange fromJson(JsonValue object) {
    return new FieldValueChange(object.getString("fieldId"),
        object.getString("fieldLabel"),
        object.getString("oldValueLabel"),
        object.getString("newValueLabel"));
  }
}
