/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.form;

public class FormLimits {
    public static final int MAX_FIELDS_PER_FORM = 600;
    public static final int MAX_SERIAL_NUMBER_FIELDS_PER_FORM = 1;
    public static final int MAX_OPTIONS_PER_FIELD = 100;
    public static final int MAX_KEY_FIELDS_PER_FORM = 10;
    public static final int MAX_SUBFORM_DEPTH_PER_FORM = 5;
    public static final int MAX_FORM_AND_FIELD_LABEL_LENGTH = 1024;
    public static final int MAX_OPTION_LABEL_LENGTH = 500;
    public static final int MAX_FIELD_CODE_LENGTH = 20;
    public static final int MAX_FIELD_DESCRIPTION_LENGTH = 2048;
    public static final int MAX_ATTACHMENT_SIZE_IN_MEGABYTES = 10;
}
