/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.form;

import org.activityinfo.json.AutoJson;

import java.util.Collections;
import java.util.List;

@AutoJson
public final class RecordHistory {

    private List<RecordHistoryEntry> entries;

    public RecordHistory(List<RecordHistoryEntry> entries) {
        this.entries = entries;
    }

    public List<RecordHistoryEntry> getEntries() {
        if(entries == null) {
            return Collections.emptyList();
        }
        return entries;
    }
}
