package org.activityinfo.model.form;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class StageImportResponseJson {
  public static JsonValue toJson(StageImportResponse model) {
    JsonValue object = Json.createObject();
    object.put("uploadUrl", model.getUploadUrl());
    object.put("importId", model.getImportId());
    return object;
  }

  public static StageImportResponse fromJson(JsonValue object) {
    return new StageImportResponse(object.getString("uploadUrl"),
        object.getString("importId"));
  }
}
