/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula;

public interface FormulaVisitor<T> {

    T visitConstant(ConstantNode node);

    T visitSymbol(SymbolNode symbolNode);

    T visitGroup(GroupNode expr);

    T visitCompoundExpr(CompoundExpr compoundExpr);

    T visitFunctionCall(FunctionCallNode functionCallNode);

    T visitError(ErrorFormulaNode errorFormulaNode);

}
