/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.diagnostic;

@SuppressWarnings("GwtInconsistentSerializableClass")
public class AmbiguousSymbolException extends FormulaException {


    public AmbiguousSymbolException(String symbol) {
        super("Ambiguous symbol [" + symbol + "]");
    }


    public AmbiguousSymbolException(String symbol, String message) {
        super("Ambiguous symbol [" + symbol + "]: " + message);
    }

}
