/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.diagnostic;

import org.activityinfo.model.formula.SymbolNode;

public class SymbolNotFoundException extends FormulaException {


    public SymbolNotFoundException() {
    }

    public SymbolNotFoundException(String symbol) {
        super("Could not resolve symbol [" + symbol + "]");
    }

    public SymbolNotFoundException(SymbolNode symbolNode) {
        this(symbolNode.getName());
    }

}
