/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.functions;

public class CeilingFunction extends RoundingOperator {

    public static final CeilingFunction INSTANCE = new CeilingFunction();

    public CeilingFunction() {
        super("CEIL");
    }

    @Override
    public double apply(double argument) {
        return Math.ceil(argument);
    }

    @Override
    public int getReferenceTopicId() {
        return 880417;
    }
}
