/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

import org.activityinfo.model.formTree.FormTree;

public class CircularReferenceNode extends FieldReferenceNode {

    private FormTree.Node fieldNode;
    private String message;

    public CircularReferenceNode(FormTree.Node fieldNode, String message) {
        super(fieldNode);
        this.fieldNode = fieldNode;
        this.message = message;
    }

    @Override
    public <T> T accept(ReferenceVisitor<T> visitor) {
        throw new UnsupportedOperationException("TODO");
    }

    @Override
    public boolean isValid() {
        return false;
    }
}
