/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.formula.resolved;

public interface ReferenceVisitor<T> {

    T visitRecordId(RecordIdNode recordIdNode);

    T visitFormId(FormIdNode formIdNode);

    T visitLastEditTime(LastEditTimeNode node);

    T visitField(FieldReferenceNode field);

    T visitCalculatedField(CalculatedFieldNode field);

    T visitEnumItem(EnumItemReference enumItemReference);

    T visitJoin(JoinQueryNode node);

    T visitUnion(UnionNode node);

    T visitAggregation(AggregateNode node);
}
