/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

import org.activityinfo.json.AutoJson;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

@AutoJson
public class DuplicateDatabaseResult implements JobResult {
    private final ResourceId databaseId;

    public DuplicateDatabaseResult(ResourceId databaseId) {
        this.databaseId = databaseId;
    }

    public ResourceId getDatabaseId() {
        return databaseId;
    }

    @Override
    public JsonValue toJson() {
        return DuplicateDatabaseResultJson.toJson(this);
    }
}
