package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class DuplicateDatabaseResultJson {
  public static JsonValue toJson(DuplicateDatabaseResult model) {
    JsonValue object = Json.createObject();
    object.put("databaseId", model.getDatabaseId().asString());
    return object;
  }

  public static DuplicateDatabaseResult fromJson(JsonValue object) {
    return new DuplicateDatabaseResult(ResourceId.valueOf(object.getString("databaseId")));
  }
}
