package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class ExportBillingAccountStatsJobJson {
  public static JsonValue toJson(ExportBillingAccountStatsJob model) {
    JsonValue object = Json.createObject();
    object.put("billingAccountId", model.getBillingAccountId());
    object.put("utcOffset", model.getUtcOffset());
    return object;
  }

  public static ExportBillingAccountStatsJob fromJson(JsonValue object) {
    return new ExportBillingAccountStatsJob((long)object.getNumber("billingAccountId"),
        (int)object.getNumber("utcOffset"));
  }
}
