/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

public enum ExportFormat {

    /**
     * All forms are exported in one long table. Each quantity appears its own row, and
     * text fields, single select fields, and reference field keys appear in columns.
     */
    LONG,

    /**
     * Forms are exported one form per sheet, with each record in a new row. Each field
     * is in its own column.
     */
    WIDE
}
