package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class ImportRecordsCheckpointJson {
  public static JsonValue toJson(ImportRecordsCheckpoint model) {
    JsonValue object = Json.createObject();
    object.put("importCount", model.getImportCount());
    return object;
  }

  public static ImportRecordsCheckpoint fromJson(JsonValue object) {
    return new ImportRecordsCheckpoint((int)object.getNumber("importCount"));
  }
}
