package org.activityinfo.model.job;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class ImportRecordsJobJson {
  public static JsonValue toJson(ImportRecordsJob model) {
    JsonValue object = Json.createObject();
    object.put("formId", model.getFormId().asString());
    object.put("importId", model.getImportId());
    return object;
  }

  public static ImportRecordsJob fromJson(JsonValue object) {
    return new ImportRecordsJob(ResourceId.valueOf(object.getString("formId")),
        object.getString("importId"));
  }
}
