/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.job;

/**
 * Current state of the job
 */
public enum  JobState {

    /**
     * The job has started processing.
     */
    STARTED,

    /**
     * The job has completed successfully.
     */
    COMPLETED,

    /**
     * The job has failed.
     */
    FAILED
}
