/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.query;

import java.util.BitSet;

/**
 * Default implementations of ColumnView methods.
 */
public class ColumnViewDefaults {


    /**
     * Default implementation of the toBitSet view.
     */
    public static BitSet toBitSet(ColumnView view) {
        BitSet bitSet = new BitSet();
        for (int i = 0; i < view.numRows(); i++) {
            if(view.getBoolean(i) == ColumnView.TRUE) {
                bitSet.set(i, true);
            }
        }
        return bitSet;
    }
}
