/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.setup;

import org.activityinfo.json.AutoJson;

@AutoJson
public class CertificateStatus {
    private final String issuer;
    private final double expirationTime;

    public CertificateStatus(String issuer, double expirationTime) {
        this.issuer = issuer;
        this.expirationTime = expirationTime;
    }

    public String getIssuer() {
        return issuer;
    }

    public double getExpirationTime() {
        return expirationTime;
    }
}
