/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.setup;

import org.activityinfo.json.AutoJson;

import java.util.List;

@AutoJson
public class IdentityConfiguration {
    private final List<IdpConfiguration> providers;

    public IdentityConfiguration(List<IdpConfiguration> providers) {
        this.providers = providers;
    }

    public List<IdpConfiguration> getProviders() {
        return providers;
    }

}
