package org.activityinfo.model.setup;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;

public final class IdentityConfigurationJson {
  public static JsonValue toJson(IdentityConfiguration model) {
    JsonValue object = Json.createObject();
    object.put("providers", JsonArrays.toJsonArray(model.getProviders(), IdpConfigurationJson::toJson));
    return object;
  }

  public static IdentityConfiguration fromJson(JsonValue object) {
    return new IdentityConfiguration(JsonArrays.listFromJson(object.get("providers"), IdpConfigurationJson::fromJson));
  }
}
