/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package java.text;

public class DecimalFormat {
    private  final String pattern;
    public DecimalFormat(String pattern) {
        this.pattern = pattern;
    }

    public String format(double num) {
        return com.google.gwt.i18n.client.NumberFormat.getFormat(pattern).format(num);
    }

    public Number parse(String num) {
        return com.google.gwt.i18n.client.NumberFormat.getFormat(pattern).parse(num);
    }
}
