package org.activityinfo.model.sync;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonArrays;
import org.activityinfo.json.JsonValue;
import org.activityinfo.model.resource.ResourceId;

public final class OfflineSetJson {
  public static JsonValue toJson(OfflineSet model) {
    JsonValue object = Json.createObject();
    object.put("databaseIds", JsonArrays.toJsonArray(model.getDatabaseIds(), ResourceId::toJson));
    return object;
  }

  public static OfflineSet fromJson(JsonValue object) {
    return new OfflineSet(JsonArrays.setFromJson(object.get("databaseIds"), ResourceId::fromJson));
  }
}
