package org.activityinfo.model.sync;

import org.activityinfo.json.Json;
import org.activityinfo.json.JsonValue;

public final class SyncRequestJson {
  public static JsonValue toJson(SyncRequest model) {
    JsonValue object = Json.createObject();
    object.put("offlineSet", OfflineSetJson.toJson(model.getOfflineSet()));
    object.put("offlineSnapshot", model.getOfflineSnapshot().toJson());
    return object;
  }

  public static SyncRequest fromJson(JsonValue object) {
    return new SyncRequest(OfflineSetJson.fromJson(object.get("offlineSet")),
        OfflineSnapshot.fromJson(object.get("offlineSnapshot")));
  }
}
