/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.model.type;

import org.activityinfo.model.form.FormClass;

/**
 * Marker interface for record-valued types.
 */
public interface RecordFieldType extends FieldType {

    /**
     * 
     * @return the {@link FormClass} that describes the values of this type
     */
    FormClass getFormClass();
}
