<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Email.ftl">
<@container>

    <#-- Add a Go-To Action in Gmail -->
    <#-- See https://developers.google.com/gmail/markup/reference/go-to-action -->
    <#-- This will only work if approved by Google for the sending address -->

    <div itemscope itemtype="http://schema.org/EmailMessage">
        <meta itemprop="description" content="preheader"/>
        <div itemprop="potentialAction" itemscope itemtype="http://schema.org/ViewAction">
            <link itemprop="url" href="${url}"/>
            <meta itemprop="name" content="${action}"/>
        </div>
    </div>

    <#if greeting?? >
    <@p>${greeting}</@p>
    <br>
    </#if>
    <@p>${intro} <#if validity??><strong>${validity}</strong></#if></@p>
    <@cta url=url icon=icon>${action}</@cta>
    <#if closing??>
       <@p>${closing}</@p>
    </#if>
    <@signoff/>
</@container>
