<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->

<style type="text/css">

    #initial-loader {
        z-index: -2;
    }

    #initial-loader,
    noscript,
    #load-failed-message {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #F2F7F7;
    }

    .loader {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 10rem;
        height: 10rem;
    }
    .loader:before {
        z-index: -1;
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        width: 100%;
        height: 100%;
        border-radius: 50% 50%;
        background-color: #FFF;
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
    }

    .loader__blob {
        display: block;
        width: 1rem;
        height: 1rem;
        margin: 0.5rem;
        border-radius: 50% 50%;
        -webkit-transform-origin: 50% 50%;
        transform-origin: 50% 50%;
        -webkit-animation-name: a-blobs;
        animation-name: a-blobs;
        -webkit-animation-duration: 1.6s;
        animation-duration: 1.6s;
        -webkit-animation-iteration-count: infinite;
        animation-iteration-count: infinite;
        -webkit-animation-direction: normal;
        animation-direction: normal;
        -webkit-animation-timing-function: linear;
        animation-timing-function: linear;
        -webkit-animation-fill-mode: forwards;
        animation-fill-mode: forwards;
    }
    .loader__blob:nth-child(1) {
        background-color: #00CF79;
    }
    .loader__blob:nth-child(2) {
        background-color: #000;
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }
    .loader__blob:nth-child(3) {
        background-color: #D9D9D9;
        -webkit-animation-delay: 0.4s;
        animation-delay: 0.4s;
    }

    @-webkit-keyframes a-blobs {
        0%, 60%, 100% {
            -webkit-transform: translateY(0);
            transform: translateY(0);
        }
        20% {
            -webkit-transform: translateY(-60%);
            transform: translateY(-60%);
        }
        40% {
            -webkit-transform: translateY(60%);
            transform: translateY(60%);
        }
    }

    @keyframes a-blobs {
        0%, 60%, 100% {
            -webkit-transform: translateY(0);
            transform: translateY(0);
        }
        20% {
            -webkit-transform: translateY(-60%);
            transform: translateY(-60%);
        }
        40% {
            -webkit-transform: translateY(60%);
            transform: translateY(60%);
        }
    }

    #load-failed-message {
        display: none;
        font-size: 1.5rem;
    }

    body.app-load-failed #initial-loader {
        display: none;
    }

    body.app-load-failed #load-failed-message {
        display: flex;
    }

    #load-failed-message div,
    #load-timeout-warning,
    noscript div {
        max-width: 40rem;
        font-family: Helvetica, Arial, Tahoma, sans-serif;
        color: #243233;
    }

    #load-timeout-warning {
        display: none;
        position: absolute;
        left: 50%;
        bottom: 2rem;
        max-width: 40rem;
        transform: translateX(-50%);
    }

    noscript {
        display: flex;
        z-index: 100 !important;
        font-size: 2rem;
        text-align: center;
    }

</style>