<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#-- @ftlvariable name="request" type="org.activityinfo.store.hrd.entity.FreeTrialRequestEntity" -->

<#include "Scaffolding.ftl">
<@scaffolding title="ActivityInfo approve free trial request">


    <form action="/signUp/approve" method="post" id="confirmForm">

        <h1>Free Trial Request</h1>

        <table cellpadding="2">
            <tr>
                <th align="left">Name</th>
                <td>${request.name?html}</td>
            </tr>
            <tr>
                <th align="left">Email</th>
                <td>${request.email?html}</td>
            </tr>
            <tr>
                <th align="left">IP Address</th>
                <td>${request.ipAddress}</td>
            </tr>
            <tr>
                <th align="left">IP Address Abuse Confidence</th>
                <td>${request.abuseConfidenceScore} (<a href="https://www.abuseipdb.com/check/${request.ipAddress}" target="_blank">AbuseIPDB</a>)</td>
            </tr>

            <tr>
                <th align="left">Location</th>
                <td>${request.city!"?"}, ${request.country!"?"}</td>
            </tr>
            <tr>
                <th align="left">Request status</th>
                <td>${request.status}</td>
            </tr>
        </table>

         <#if action?? && request.actionable>
            <input type="hidden" name="key" value="${request.key?html}"/>
            <input type="hidden" name="secret" value="${request.approvalSecret?html}">
            <input type="hidden" name="action" value="${action}">

            <footer>
                <button type="submit" class="button button--primary">${action}</button>
            </footer>
        </#if>
    </form>
</@scaffolding>
