<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#-- @ftlvariable name="" type="org.activityinfo.server.page.ConfirmInviteOauthPageModel" -->
<#include "Scaffolding.ftl">
<@scaffolding title="${i18n.welcomeToActivityInfo}">

    <form action="" method="post" id="confirmForm">

        <input type="hidden" name="page" value="${destinationPath}">

        <h1>${i18n.ssoConnected}</h1>

        <p>${successText}</p>

        <label class="field">
            <span>${i18n.selectYourLanguage}</span>
            <select name="locale">
                <#list availableLocales as availableLocale>
                    <option value="${availableLocale.code}" <#if availableLocale.code?upper_case == locale.language?upper_case>selected</#if>>${availableLocale.localizedName}</option>
                </#list>
            </select>
        </label>

        <#include "Terms.ftl">
        <#include "EmailOptIn.ftl">

        <footer>
            <button type="submit" class="button button--primary">${i18n.continue_}</button>
        </footer>
    </form>
</@scaffolding>
