<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="${i18n.welcomeToActivityInfo}">

    <form action="/init/admin" method="post" id="confirmForm">

        <h1>${i18n.welcomeToActivityInfo}</h1>

        <p>To get started, you need to add the administrator's account.</p>

        <label class="field">
            <span>Administrator's name</span>
            <input type="text" name="name" id="nameInput" required autofocus autocomplete="name">
        </label>

        <label class="field">
            <span>Administrator's email</span>
            <input id="emailInput" name="email" type="email" autocomplete="username" required>
        </label>

        <label class="field">
            <span>${i18n.selectYourLanguage}</span>
            <select name="locale">
                <#list availableLocales as availableLocale>
                    <option value="${availableLocale.code}">${availableLocale.localizedName}</option>
                </#list>
            </select>
        </label>

        <label class="field">
            <span>${i18n.enterNewPassword}</span>
            <input type="password" name="password" required minlength="8" maxlength="64" autocomplete="new-password" id="password1">
        </label>

        <label class="field">
            <span>${i18n.confirmPassword}</span>
            <input type="password" name="password2" required autocomplete="new-password" id="password2">
        </label>

        <footer>
            <button type="submit" class="button button--primary">${i18n.continue_}</button>
        </footer>
    </form>
    <#include "PasswordMatchScript.ftl">
</@scaffolding>
