<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->

<#include "Scaffolding.ftl">
<@scaffolding title="${i18n.invalidOrExpiredLink}">

    <div class="nonideal nonideal--notfound">

        <svg xmlns="http://www.w3.org/2000/svg" class="nonideal__illustration" viewBox="-5 -5 110 110">
            <circle cx="50" cy="50" r="50" fill="#FFF"/>
            <linearGradient id="notfoundstate-grad-a" x1="-167.244" x2="-90.756" y1="203.5" y2="203.5" gradientTransform="matrix(1 0 0 -1 179 253.5)" gradientUnits="userSpaceOnUse">
                <stop offset="0" stop-color="#c6d4d4"/>
                <stop offset=".526" stop-color="#e6eded"/>
                <stop offset=".825" stop-color="#f2f7f7"/>
            </linearGradient>
            <circle cx="50" cy="50" r="38.244" fill="url(#notfoundstate-grad-a)"/>
            <linearGradient id="notfoundstate-grad-b" x1="-131.499" x2="-126.501" y1="202.138" y2="202.138" gradientTransform="matrix(1 0 0 -1 179 253.5)" gradientUnits="userSpaceOnUse">
                <stop offset="0" stop-color="#455c5c"/>
                <stop offset="1"/>
            </linearGradient>
            <circle cx="50" cy="51.362" r="2.499" fill="url(#notfoundstate-grad-b)"/>
            <linearGradient id="notfoundstate-grad-c" x1="-132.537" x2="-125.468" y1="245.277" y2="238.208" gradientTransform="matrix(1 0 0 -1 179 253.5)" gradientUnits="userSpaceOnUse">
                <stop offset="0" stop-color="#00cf79"/>
                <stop offset="1" stop-color="#00cfcd"/>
            </linearGradient>
            <circle cx="49.998" cy="11.757" r="4.999" fill="url(#notfoundstate-grad-c)" opacity=".8"/>
        </svg>

        <h1>${i18n.invalidOrExpiredLink}</h1>
        <p>${i18n.invalidLinkDetail}</p>
        <div class="nonideal__links">
            <a href="/login" class="button button--primary">${i18n.login}</a>
            <a href="/loginProblem" class="button">${i18n.resetPassword}</a>
        </div>
    </div>

</@scaffolding>