<#--

    ActivityInfo 4.0
    Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved

    Unauthorized copying of this file, via any medium is strictly prohibited
    Proprietary and confidential

-->
<#include "Scaffolding.ftl">
<@scaffolding title="${i18n.resetPassword}">

    <form action="loginProblem" method="POST">

        <h1>${i18n.resetPassword}</h1>

        <p>${i18n.resetPasswordForm}</p>

        <#if errorMessage??>
            <div class="alert alert--error">${errorMessage?html}</div>
        </#if>

        <label class="field">
            <span>${i18n.email}</span>
            <input name="email" type="email" required value="${email?html}" autofocus autocomplete="username" id="username">
        </label>

        <footer>
            <button id="submitButton" type="submit" class="button button--primary">${i18n.resetPassword}</button>
            <a href="/login" class="button" href="/login">${i18n.backToLogin}</a>
        </footer>
    </form>
    <script>
        var lastEmail = window.localStorage.getItem('lastLogin');
        if(lastEmail) {
            document.getElementById('username').value = lastEmail;
        }
    </script>
</@scaffolding>
