--
-- ActivityInfo 4.0
-- Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
--
-- Unauthorized copying of this file, via any medium is strictly prohibited
-- Proprietary and confidential
--

CREATE TABLE reports (
    id TEXT PRIMARY KEY,
    ownerUserId INTEGER,
    label TEXT NOT NULL,
    icon TEXT NOT NULL,
    components TEXT NOT NULL,
    sources TEXT NOT NULL,
    layout TEXT NOT NULL,
    version INTEGER NOT NULL,
    updateTime INTEGER NOT NULL,
    published INTEGER NOT NULL);

CREATE TABLE analyses (
    reportId TEXT NOT NULL,
    id TEXT NOT NULL,
    type TEXT NOT NULL,
    model TEXT NOT NULL,
    version INTEGER NOT NULL,
    updateTime INTEGER NOT NULL,
    PRIMARY KEY (reportId, id));

CREATE TABLE reportGrants (
    reportId TEXT NOT NULL,
    databaseId TEXT NOT NULL,
    roleId TEXT NOT NULL);
