/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared;

import org.activityinfo.model.formula.resolved.FieldComponent;
import org.activityinfo.model.query.ColumnView;

public interface ColumnQueryBuilderV2 {

    void addRecordId(PendingSlot<ColumnView> target);

    void addField(FieldComponent fieldComponent, PendingSlot<ColumnView> target);

    void addRowCount(PendingSlot<Integer> rowCount);

    void execute();

    void addLastEditTime(PendingSlot<ColumnView> target);

}
