/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.query.shared.columns;

import org.activityinfo.store.query.shared.join.PrimaryKeyMap;

public interface ForeignKey {

    int numRows();

    ForeignKey filter(int[] selectedRows);

    String getKey(int rowIndex);

    int[] buildMapping(PrimaryKeyMap pk);
}
