/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.model.collectionLink.CollectionLink;
import org.activityinfo.model.collectionLink.CollectionLinkStatus;
import org.activityinfo.model.database.VisibleDatabaseTree;
import org.activityinfo.model.resource.ResourceId;
import org.activityinfo.promise.Maybe;

public interface CollectionLinkTransaction {

    String getLinkId();

    ResourceId getDatabaseId();

    void updateStatus(CollectionLinkStatus status);

    CollectionLinkStatus getStatus();

    CollectionLink getCollectionLink();

    Maybe<VisibleDatabaseTree> getVisibleDatabaseTree(ResourceId userId);
}
