/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

/**
 * Configuration properties for the ActivityInfo server that are specified via a
 * property file at deployment time.
 */
public interface DeploymentConfiguration extends ServingConfiguration {

    boolean isDevelopment();

    String getProperty(String key);

    String getProperty(String key, String defaultValue);

}
