/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

public enum OpenIdRequestType {
    LOGIN,
    SIGNUP,

    /**
     * Try to allow users to connect their existing account to an IdP
     */
    CONNECT,

    /**
     * Silently renew the existing authentication
     */
    RENEW,
    REAUTH;
}
