/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.store.spi;

import org.activityinfo.model.account.BillingAccount;
import org.activityinfo.model.resource.ResourceId;

import java.util.Optional;

public interface RecoverDatabaseTransaction {

    boolean isDeleted();

    ResourceId getOwnerId();

    Optional<BillingAccount> getOwnerBillingAccount();

    void recoverDatabase(BillingAccount billingAccount);
}
