/*
 * ActivityInfo 4.0
 * Copyright © 2014-2021 BeDataDriven Groep B.V. - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
package org.activityinfo.ui.vdom.shared.tree;

public abstract class VNode {

    public String key;

    public String key() {
        throw new UnsupportedOperationException();
    }

    public String text() {
        throw new UnsupportedOperationException();
    }

    public VNode[] children() {
        return VElement.NO_CHILDREN;
    }

    public VNode childAt(int index) {
        return children()[index];
    }

    public abstract void accept(VTreeVisitor visitor);

}
